%define codeversion 0.4.0
%define tarversion 4
Name:           gimp-lqr-plugin
Version:        %{codeversion}.%{tarversion}
Release:        2%{?dist}
Summary:        Content-aware resizing plug-in for the GIMP
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://liquidrescale.wikidot.com/
Source0:        http://liquidrescale.wikidot.com/local--files/en:download-page/%{name}-%{codeversion}-%{tarversion}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
BuildRequires:  gimp-devel >= 2.4 perl(XML::Parser), gettext, liblqr-1-devel >= 0.1.0
Requires:       gimp >= 2.4

%description
This package is a plug-in for the GIMP 2.4. It implements the algorithm
described in the paper "Seam Carving for Content-Aware Image Resizing"
by Shai Avidan and Ariel Shamir, which can be found at
http://www.faculty.idc.ac.il/arik/imret.pdf

%prep
%setup -q -n gimp-lqr-plugin-%{codeversion}

%build
%configure
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang gimp20-lqr-plugin 

%clean
rm -rf $RPM_BUILD_ROOT



%files -f gimp20-lqr-plugin.lang
%defattr(-,root,root,-)
%doc README ChangeLog TODO COPYING AUTHORS NEWS
%{_libdir}/gimp/2.0/plug-ins/gimp-lqr-plugin
%{_datadir}/gimp-lqr-plugin/




%changelog

* Sun Mar 02 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0.4-2
- Fixed typos, buildrequires and requires.

* Wed Feb 20 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0.4-1
- Remove hyphen from versioning.

* Tue Feb 19 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0-3
- Fixed licensing issue.

* Mon Feb 4 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0-2
- Removed CFLAGS.
- Fixed ownership issues.

* Thu Jan 17 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0-1
- Update to 0.4.0-3. 
- Added liblqr dependency. 

* Mon Dec 10 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.4.0-0
- Update to 0.4.0. 

* Wed Nov 22 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.3.0-1
- Updated languages.
- Removed DEBUG flag.
  http://liquidrescale.wikidot.com/forum/t-23531/bugfix
- Cleaned .spec file to meet Fedora Guidelines. 

* Fri Oct 12 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.3.0-0
- Update to latest upstream release.

* Fri Oct 5 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.2.1-4
- Added more translation: Romanian, Spanish Spanish, Serbian.

* Wed Oct 3 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.2.1-3
- Added Basque, Chinese, Argentinian Spanish, Hungarian translations.

* Tue Oct 2 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.2.1-2
- Added German translation.

* Tue Oct 2 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.2.1-1
- Initial RPM release.
